package com.ejie.ab78.model;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6159s00  
 * 
 *  
 */

public class Aviso implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long idAviso;
	private Long idAplicacion;
	private Date fechaInicio;
	private Date fechaFin;
	private String descEs;
	private String descEu;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Ab6159s00'.
	 */
	public Aviso() {
	}

	/**
	 * Method 'Ab6159s00'.
	 * 
	 * @param idAviso
	 *            String
	 */
	public Aviso(Long idAviso) {
		this.idAviso = idAviso;
	}

	/**
	 * Method 'Ab6336s00'.
	 * 
	 * @param idAviso
	 *            String
	 * @param descEs
	 *            String
	 * @param descEu
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public Aviso(Long idAviso, Long idAplicacion, Date fechaInicio, Date fechaFin, String descEs, String descEu,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idAviso = idAviso;
		this.idAplicacion = idAplicacion;
		this.fechaInicio = fechaInicio;
		this.fechaFin = fechaFin;
		this.descEs = descEs;
		this.descEu = descEu;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdAviso'.
	 *
	 * @return String
	 */

	public Long getIdAviso() {
		return this.idAviso;
	}

	/**
	 * Method 'setIdAviso'.
	 *
	 * @param idAviso
	 *            String
	 * @return
	 */

	public void setIdAviso(Long idAviso) {
		this.idAviso = idAviso;
	}

	/**
	 * Method 'getDescEs'.
	 *
	 * @return String
	 */

	public String getDescEs() {
		return this.descEs;
	}

	/**
	 * Method 'setDescEs'.
	 *
	 * @param descEs
	 *            String
	 * @return
	 */

	public void setDescEs(String descEs) {
		this.descEs = descEs;
	}

	/**
	 * Method 'getDescEu'.
	 *
	 * @return String
	 */

	public String getDescEu() {
		return this.descEu;
	}

	/**
	 * Method 'setDescEu'.
	 *
	 * @param descEu
	 *            String
	 * @return
	 */

	public void setDescEu(String descEu) {
		this.descEu = descEu;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idAviso: ").append(this.idAviso).append(" ]");
		result.append(" [ idAplicacion: ").append(this.idAplicacion).append(" ]");
		result.append(" [ fechaInicio: ").append(this.fechaInicio).append(" ]");
		result.append(" [ fechaFin: ").append(this.fechaFin).append(" ]");
		result.append(", [ descEs: ").append(this.descEs).append(" ]");
		result.append(", [ descEu: ").append(this.descEu).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

	public Long getIdAplicacion() {
		return idAplicacion;
	}

	public void setIdAplicacion(Long idAplicacion) {
		this.idAplicacion = idAplicacion;
	}

	public Date getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public Date getFechaFin() {
		return fechaFin;
	}

	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}

}
